コンテンツへスキップ

Kling O3 Reference Video to Video [Pro]

統合

モデルID kling-video/o3/pro/video-to-video/reference
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/o3/pro/video-to-video/reference?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $2.52 2,520 APIクレジット このページで実行

APIキーを取得

Doitongで作成

DoitongコミュニティがKling O3で作成した公開作品です。ワンクリックでプロンプトを再利用できます。

公開作品:16件
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... 動画

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... 動画

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... 動画

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... 動画

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 2500

動画生成用のテキスト指示。参照動画は @Video1 で参照します。

•必須 video_url
ファイルをドロップ、または

参照動画を指すURL。.mp4または.mov形式で、サイズは200MB以内。幅と高さは720px~3840px、フレームレートは23.0~60.0 FPS、長さは3~15秒(最大15.05秒)である必要があります。

duration

動画の長さ(秒)。参照動画の範囲は3~15sです。

aspect_ratio デフォルト auto

幅と高さの比率。

詳細設定 images · shot_type · enable_safety_checker · keep_audio · elements
image_urls
ファイルをドロップ、または

スタイルや外観を導く画像。プロンプトでは @Image1、@Image2 などで参照します。動画入力では、要素と参照画像の合計は4件以内です。各ファイルは50 MB以内、幅と高さはそれぞれ300 px以上、アスペクト比は0.40~2.50である必要があります。

デフォルト customize

マルチショット動画の生成に使用するモード。

含めるキャラクターやオブジェクト。プロンプトでは @Element1、@Element2 などで参照します。

POST /run/kling-video/o3/pro/video-to-video/reference?wait=20 見積もり → $2.52
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/o3/pro/video-to-video/reference?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kling O3 Reference Video to Video [Pro]について

参照動画(`video_url`、.mp4/.mov、3~15 s、720~3840px、最大200MB)とプロンプトを受け取り、参照に基づく新しいクリップを生成します。出力`duration`は3~15秒、`aspect_ratio`はauto、16:9、9:16、1:1です。参照画像と`elements`は合計最大4個まで追加でき、`keep_audio`で元の音声を制御します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを無効にできるのはアカウント認証済みの場合のみです。認証のないリクエストには常にチェックが実行されます。
prompt必須
型string
≤ 2,500文字
動画生成用のテキスト指示。参照動画は @Video1 で参照します。
video_url必須 video
型url · video
参照動画を指すURL。.mp4または.mov形式で、サイズは200MB以内。幅と高さは720px~3840px、フレームレートは23.0~60.0 FPS、長さは3~15秒(最大15.05秒)である必要があります。
image_urls任意 images
型url[] · image
スタイルや外観を導く画像。プロンプトでは @Image1、@Image2 などで参照します。動画入力では、要素と参照画像の合計は4件以内です。各ファイルは50 MB以内、幅と高さはそれぞれ300 px以上、アスペクト比は0.40~2.50である必要があります。
keep_audio任意
型boolean
デフォルトtrue
参照動画の元の音声を保持するかどうかを制御します。
elements任意
型object[]
含めるキャラクターやオブジェクト。プロンプトでは @Element1、@Element2 などで参照します。
elements[].frontal_image_url任意
型url · image
要素の主な外観を示す正面画像。ファイルサイズは50 MB以内、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
elements[].reference_image_urls任意
型url[] · image
異なる角度を示す追加参照画像を1~3枚指定します。各画像のアスペクト比は0.40~2.50、幅と高さはそれぞれ300px以上、サイズは50.0MB以下である必要があります。
shot_type任意
型string
デフォルトcustomize
マルチショット動画の生成に使用するモード。
aspect_ratio任意
型enum
デフォルトauto
auto16:99:161:1
幅と高さの比率。
duration任意
型enum
3456789101112131415
動画の長さ(秒)。参照動画の範囲は3~15sです。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/o3/pro/video-to-video/reference",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2520,
    "usd": "2.52",
    "charged": 2520,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kling-video/o3/pro/video-to-video/reference.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt